Требования к перехвату пакетов

Посмотреть исходный код на GitHub

Чтобы использовать Pyspinel, вам необходимо выполнить следующие требования к оборудованию и программному обеспечению.

Аппаратное обеспечение

  • Хост-компьютер, который будет служить NCP и запускать Pyspinel и Wireshark:

    • macOS — 64-битная OS X 10.6 или новее
    • линукс
    • Windows — 10 или более поздняя версия
  • 1 устройство ot-ncp-ftd или ot-rcp .

    • Для ot-ncp-ftd необходимо использовать переключатель сборки LINK_RAW=1 .

Программное обеспечение:

  • Python 3 для запуска Pyspinel
  • Wireshark

    • 2.4.1 или новее для поддержки протокола Thread
    • 3.0.6 или новее для поддержки extcap . Дополнительные сведения об использовании подключаемого модуля Wireshark extcap с Pyspinel см. в разделе Установка Pyspinel .